## ros-rolling-fastrtps-cmake-module 3.2.0

=== CMakeLists.txt ===
# Copyright 2016-2018 Proyectos y Sistemas de Mantenimiento SL (eProsima).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(fastrtps_cmake_module)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "fastrtps_cmake_module-extras.cmake"
)

install(DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME})

## ros-rolling-fastrtps-cmake-module 2.0.4

=== debian/changelog ===
ros-rolling-fastrtps-cmake-module (2.0.4-1focal) focal; urgency=high

  * Update maintainers to Shane Loretz (#83 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/83>)
  * Contributors: Audrow Nash

 -- Shane Loretz <shane@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.0.3-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.0.2-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 09 Aug 2021 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.0.1-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 28 Jul 2021 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.0.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 23 Jul 2021 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.2.1-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#69 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/69>)
  * Contributors: shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.2.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.1.0-1focal) focal; urgency=high

  * Use CMake config dirs as hint for header/library search (#56 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/56>)
  * Update package maintainers (#55 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/55>)
  * QD Update Version Stability to stable version (#46 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/46>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 09 Dec 2020 08:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.0.0-1focal) focal; urgency=high

  * Add feature documentation (#41 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/41>)
  * Add Quality Declaration and README (#39 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/39>)
  * Contributors: brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.9.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.8.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.7.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.7.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 07:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.6.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2019 08:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.6.0-1focal) focal; urgency=high

  * Change year of copyright notices
  * Look for debug versions of fastcdr and fastrtps as well
  * Export FastRTPS libraries
  * remove obsolete stuff from CMake module
  * update style and enable linters
  * update schema url
  * add schema to manifest files
  * Added Apache License 2.0
  * fix CMake syntax
  * update to new rmw error handling code, add explicit build type
  * First commit
  * Contributors: Dirk Thomas, Esteve Fernandez, Miguel Company, Mikael Arguedas, Ricardo González, Ricardo González Moreno, Steven! Ragnarök, William Woodall, richiprosima

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-fastrtps-cmake-module
Section: misc
Priority: optional
Maintainer: Shane Loretz <shane@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-fastrtps-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Provide CMake module to find eProsima FastRTPS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-fastrtps-cmake-module//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-fastrtps-cmake-module 3.2.0

=== debian/changelog ===
ros-rolling-fastrtps-cmake-module (3.2.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (3.1.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (3.0.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.5.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#93 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/93>)
  * Contributors: Audrow Nash

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.4.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.3.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.2.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.1.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.0.4-1jammy) jammy; urgency=high

  * Update maintainers to Shane Loretz (#83 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/83>)
  * Contributors: Audrow Nash

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.0.3-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.0.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 09 Aug 2021 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.0.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 28 Jul 2021 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (2.0.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 23 Jul 2021 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.2.1-1jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#69 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/69>)
  * Contributors: shonigmann

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.2.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.1.0-1jammy) jammy; urgency=high

  * Use CMake config dirs as hint for header/library search (#56 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/56>)
  * Update package maintainers (#55 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/55>)
  * QD Update Version Stability to stable version (#46 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/46>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Michel Hidalgo

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.0.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (1.0.0-1jammy) jammy; urgency=high

  * Add feature documentation (#41 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/41>)
  * Add Quality Declaration and README (#39 <https://github.com/ros2/rosidl_typesupport_fastrtps/issues/39>)
  * Contributors: brawner

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 22 May 2020 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.9.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.8.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 25 Sep 2019 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.7.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.7.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sat, 13 Apr 2019 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.6.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 11 Jan 2019 00:00:00 -0000

ros-rolling-fastrtps-cmake-module (0.6.0-1jammy) jammy; urgency=high

  * Change year of copyright notices
  * Look for debug versions of fastcdr and fastrtps as well
  * Export FastRTPS libraries
  * remove obsolete stuff from CMake module
  * update style and enable linters
  * update schema url
  * add schema to manifest files
  * Added Apache License 2.0
  * fix CMake syntax
  * update to new rmw error handling code, add explicit build type
  * First commit
  * Contributors: Dirk Thomas, Esteve Fernandez, Miguel Company, Mikael Arguedas, Ricardo González, Ricardo González Moreno, Steven! Ragnarök, William Woodall, richiprosima

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 16 Nov 2018 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-fastrtps-cmake-module
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-fastrtps-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Provide CMake module to find eProsima FastRTPS.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
